package com.iformall.service;

import com.iformall.common.ResultData;
import com.iformall.domain.po.base.TenantEntity;

import java.util.Map;

public interface DataTowerService {

    Map<String,Object> queryRunningMobile(TenantEntity tenantEntity);

    Map<String,Object> queryRunningPotal(TenantEntity tenantEntity);

    Map<String,Object> queryRunning(TenantEntity tenantEntity);

    Map<String,Object> queryCar(TenantEntity tenantEntity);

    Map<String,Object> queryCustomer(TenantEntity tenantEntity);

    ResultData queryCustomerData(TenantEntity tenantEntity, Map<String, String> params);

}
